//
//  CHToolbarExtensions.h
//  DrawIt SVG
//
//  Created by Pieter Omvlee on 27-05-09.
//  Copyright 2009 Bohemian Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "CHArrayExtensions.h"

@interface NSToolbar (CHToolbarExtensions)
- (NSRect)frameOfItemWithIdentifier:(NSString *)identifier;
- (BOOL)itemWithIdentifierIsVisible:(NSString *)identifier;
- (NSToolbarItem *)itemWithIdentifier:(NSString *)identifier;
@end

@interface NSToolbar (CHToolbarExtensionsPrivate)
- (NSView *)_toolbarView;
@end

@interface NSView (CHToolbarItemView)
- (NSToolbarItem *)item;
@end
