// 
//  CIDisplayView.h
//  DrawIt
//  
//  Created by Pieter Omvlee on 2007-07-10.
//  Copyright 2007 GetDrawIt. All rights reserved.
// 

#import <Cocoa/Cocoa.h>
#import <Chocolat/Chocolat.h>

#import "MSFilterController.h"
#import "MSFilter.h"
#import "MSFilterView.h"

@interface MSFilterControllerView : NSView <NSAnimationDelegate>
{
  MSFilterController *filters;

  id insertBeforeThisObject;
  BOOL addAtEnd;
  
  BOOL isAnimating;
  BOOL mayIncreaseHeight;
  
  int oldContentWidth;
  int oldContentHeight;
  
  int requiredContentHeight;
  
  NSMutableArray *registeredSubviews;
}
- (void)construct;

- (MSFilterController *)filters;
- (void)setFilters:(MSFilterController *)aValue;

#pragma mark -
#pragma mark Dragging and Rearranging Filters

// - (void)startedDragging:(id)view;
// - (void)stoppedDragging:(id)view;
// - (void)dragged:(id)view;
- (void)scrollViewResized:(NSScrollView *)scroller;
@end
