//
//  MSFilterInfo.h
//  DrawIt
//
//  Created by Pieter Omvlee on 12/13/07.
//  Copyright 2007 GetDrawIt. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface MSFilterInfo : NSObject
{

}

+ (NSArray *)unsupportedFilters;
+ (int)numberOfSpecialFilters;
+ (NSArray *)specialFilters;
+ (NSDictionary *)specialFiltersDictionary;

+ (int)numberOfCategories;
+ (NSArray *)categories;
+ (NSDictionary *)categoriesDictionary;
+ (NSString *)displayNameForCategory:(NSString *)categoryName;

+ (int)numberOfFiltersInCategory:(NSString *)categoryName;
+ (NSArray *)filtersInCategory:(NSString *)categoryName;

+ (NSDictionary *)attributesForFilter:(NSString *)filterName;

+ (NSString *)displayNameForFilter:(NSString *)filterName;

@end
