//
//  POObjectExtensions.h
//  POBase
//
//  Created by Pieter Omvlee on 6/4/08.
//  Copyright 2008 Bohemian Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSObject (NSObjectPerform)
- (id)performSelector:(SEL)sel withObjects:(NSArray *)args;
- (id)performSelector:(SEL)sel withObjects:(NSArray *)args iterateOverIndex:(int)index;

- (void)addObserver:(NSObject *)anObserver forKeyPaths:(NSArray *)keyPaths options:(NSKeyValueObservingOptions)options context:(void *)context;
- (void)removeObserver:(NSObject *)anObserver forKeyPaths:(NSArray *)keyPaths;


@end
